{% comment %}
Copyright 2016 Mattia Basaglia

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
{% endcomment %}
{% load simple_page %}
{% load mldb %}

<section>
<header>{% section h2 %}Information{% endsection %}</header>
<table>
    <tr><th>Title</th><td>{{ episode.title }}</td></tr>
    <tr><th>Season</th><td><a href="{% season_url episode.season %}">{{ episode.season }}</a></td></tr>
    <tr><th>Number</th><td>{{ episode.number }}</td></tr>
    <tr><th>Overall Number</th><td>{{ episode.overall_number }}</td></tr>
    <tr><th>Wiki Page</th><td><a href="{{ wiki_url }}{{ episode.slug }}">{{ episode.title }}</td></tr>
    {% with episode.main_characters as main_characters %}
        <tr><th>Main Character{{ main_characters|pluralize }}</th>
            <td><ul class="line_characters">
                {% for character in main_characters %}
                    <li>{% character_image_link character "mldb/img/cutie_marks/%s.svg" 32 %}</li>
                {% endfor %}
            </ul></td>
        </tr>
    {% endwith %}
    {% if episode.previous %}
        <tr><th>Previous</th><td>{% episode_link episode.previous %}</td></tr>
    {% endif %}
    {% if episode.next %}
        <tr><th>Next</th><td>{% episode_link episode.next %}</td></tr>
    {% endif %}
</table>

<p>In this episode {{ characters|length }} characters spoke a total of {{ lines|length }} lines.
The most talkative character was {% character_link characters.0 %}, who spoke {{ characters.0.n_lines }} lines.</p>
</section>

<section>
<header>{% section h2 %}Characters{% endsection %}</header>
{% with single=1 %}
    {% include "mldb/character_list.html" %}
{% endwith %}
</section>

<section>
<header>{% section h2 %}Transcript{% endsection %}</header>
<table class="transcript">
{% for line in lines %}
    <tr id="line-{{line.order}}"
    class='line {% if line.characters.count == 1 %}character_{{ line.characters.first.slug }}{% else %}mixed_characters{% endif %}'>
        <td><ul class="line_characters">
            {% for character in line.characters.all %}
                <li>{% character_image_link character "mldb/img/cutie_marks/%s.svg" 32 %}</li>
            {% endfor %}
        </ul></td>
        <td><a class="line_self_link" href="#line-{{line.order}}">{{ line.text }}</a></td>
    </tr>
{% endfor %}
</table>
</section>
